\chapter{Grey Literature Review Protocol}
\label{att:glrprotocol}

We considered Grey Literature any online publication not peer reviewed.
The term ‘grey literature’ is often used to refer to reports published
outside of traditional commercial publishing. (Cochrane)

\textbf{Motivation}

Some studies of software engineering have presented a skewed view of the FLOSS
phenomenon. Among the possible biases, we highlight the generalization of FLOSS
projects (black-and-white view), distance from day-to-day practice, and the
belief that FLOSS projects do not have well-defined management structure and
workflow methods.
Although there is a wealth of artifacts produced by communities to document the
daily practice of FLOSS and outsource discussions and reflections, there is no
academic study focused on summarizing the concepts disseminated by FLOSS
communities about their development models.
This review intends to fill this gap by understanding how FLOSS practitioners
characterize the development model of the community that they contribute.

\section{Research Questions}

RQ1. How do Linux community publications describe the current Linux development community model?

RQ1.1. What attributes practitioners use to characterize the Linux development community? What are the current social and organizational challenges from the community perspective?

RQ2. What research techniques can be used to examine a FLOSS project through its community publications?

\section{Initial steps}

1. Searching for publications about grey literature review in software engineering

2. Brainstorm sources and potential database to search grey literature on FLOSS

\subsection{Data Sources}

\begin{table}[]
\centering
\setlength\tabcolsep{0.5cm}
\resizebox{0.9\textwidth}{!}{%
\begin{tabular}{ m{9cm} m{4cm} }
\rowcolor[HTML]{c0d6e4}
\textbf{Textual} & \textbf{Audio-visual} \\
\rowcolor[HTML]{fafafa}
\begin{flushleft}
\begin{itemize}
\setlength{\itemsep}{2pt}
\item Foundations and Project Webpages
\item Industry-oriented magazines
\item Books
\item Experienced Developers Blogs
\item Whitepapers
\item Mailing-list
\end{itemize}
\end{flushleft} &
\begin{flushleft}
\begin{itemize}
\setlength{\itemsep}{2pt}
\item Movies
\item Videos on Youtube
\item Podcasts
\item TED Talks
\end{itemize}
\end{flushleft} \\
\end{tabular}%
}
\caption{Types of Grey Literature Datasource}
\label{practices-table}
\end{table}

\subsection{Identifying the Database}

\subsubsection{Textual}

\textbf{Targeted websites (recommendations from FLOSS experts; Locating organization via Google)}

  \begin{itemize}
  \item https://opensource.org/
  \item https://www.fsf.org/
  \item https://www.kernel.org
  \item https://www.linux.com
  \item LWN.net
  \item https://kernelnewbies.org/
  \item https://www.linuxfoundation.org/
  \item https://www.linuxinsider.com
  \item http://planet.kernel.org/
  \end{itemize}
  
\textbf{Industry-oriented Magazines}

  \begin{itemize}
  \item https://www.wired.com/
  \item http://www.drdobbs.com/
  \item https://www.linuxformat.com/
  \item http://www.linux-magazine.com/
  \item https://www.linuxjournal.com/
  \item https://opensourceforu.com/
  \item https://www.networkworld.com
  \end{itemize}
  
\textbf{Books}

  \begin{itemize}
  \item Free as in Freedom
  \item Producing OSS
  \item Understanding the Open Source Development Model
  \end{itemize}
  
\textbf{Experienced Developers Blogs}
  \begin{itemize}
  \item http://www.linux-magazine.com/Online/Blogs
  \item https://blog.ffwll.ch/
  \item http://www.kroah.com/log/
  \item https://sage.thesharps.us/
  \end{itemize}
  
\textbf{Whitepapers}

  \begin{itemize}
  \item http://www.findwhitepapers.com/technology
  \item https://www.bitpipe.com/
  \end{itemize}
  
\textbf{Google advanced search}

\textbf{GL databases}

  \begin{itemize}
  \item http://www.opengrey.eu
  \item https://arxiv.org/
  \end{itemize}
  
\textbf{Consultating with experts}

\textbf{Snowballing references and backlinks}

\subsubsection{Audio-visual}

\begin{itemize}
\item https://google.com
\item Movies: Revolution OS, The Code (Documentary),  Pirates of Silicon Valley, The 5 Keys to Mastery
\item https://www.youtube.com
\item Podcasts: papolivre.org; Sunday Morning Linux Review (http://smlr.us/); Free as in Freedom (http://faif.us/); https://twit.tv/shows/floss-weekly; KernelPodcast(http://www.kernelpodcast.org/);
\item https://www.ted.com
\end{itemize}

\section{Planning GLR}

\textbf{Relaxed Search String}

\begin{table}[]
\centering
\caption{}
\label{tab:search_string}
\begin{tabular}{m{3cm}m{3cm}m{3cm}}
\hline
Linux & Development & Model \\ \hline
Linux Kernel & Business & Structure \\
Linux Project & () & Scheme \\
 &  & Rules \\
 &  & Process \\
 &  & Guide \\
 &  & Community \\
 &  & Culture \\
 &  & ()
\end{tabular}%
\end{table}

\textbf{Inclusion and exclusion criteria}

Interval time: 2009-2019+

\begin{table}[]
\centering
\caption{}
\label{tab:glr_criteria}
\begin{tabular}{m{7cm}|m{7cm}}
\hline
Inclusion criteria & Exclusion criteria \\ \hline
Published online by practitioners or researchers in the FLOSS area & Published by enthusiasts who have not participated in any FLOSS-related projects or any FLOSS research \\
Available in English & Unavailable in English \\
Most current version of the document & There is a new (updated) version of the document \\
Describes the development of Linux kernel: reporting practices and/or presenting statistics and/or discussing management and rules inside the project and/or studying the project development and/or its community & Did not contain any reference of development practices of Linux project \\
 & Merely discusses technical issues / coding / new features
\end{tabular}%
\end{table}

\textbf{Ranking Resource-Types}

\section{Search process}

%TODO: review process adaptations
\subsection{Database Selection}

\subsubsection{Searching Data Source}

Search on Google for relevant websites and contact experts to create a list of targets

\subsubsection{Classifying Data Source}

\subsection{Searching documents}

\begin{enumerate}
\item When a search tool is available on the selected database, apply the search string
\item Otherwise, search by hand relevant contents
\item Export results to an spreadsheet
\item Remove duplication
\item Highlight title appeared relevant and analyze abstract, when available
\item Author profile: experience, role in FLOSS project, active or not
\item Publisher history/profile
\item Snowballing references
\end{enumerate}

\section{Selection process}

We based on guidelines provided by \citet{Cochrane2008}.

\begin{enumerate}
\item Use (at least) two people working independently to determine whether each study meets the eligibility criteria.
\item Whener possible, screening of titles and abstracts to remove irrelevant reports (should be done in duplicate by two people working independently but it is acceptable that this initial screening is undertaken by only one person).
\item Two people working independently are used to make a final determination as to whether each study considered possibly eligible after title / abstract screening meets the eligibility criteria based on the full text of the study report(s).
\item It is important that at least one author is knowledgeable in the area under review, it may be an advantage to have a second author who is not a content expert.
\item Disagreements about whether a study should be included can generally be resolved by discussion. 
\item A single failed eligibility criterion is sufficient for a study to be excluded from a review. In practice, therefore, eligibility criteria for each study should be assessed in order of importance
\item Pilot test the eligibility criteria on a sample of reports
\item The selection process must be documented in sufficient detail to be able to complete a flow diagram and a table of ‘Characteristics of excluded studies’
\end{enumerate}

Processes of documents identification, screening and content analysis are detailed in Chapter~\ref{cap:linuxdevmodel}

